Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.registry
Class EPPRegistryContactStreet

    java.lang.Object
      com.verisign.epp.codec.registry.EPPRegistryMinMaxLength
          com.verisign.epp.codec.registry.EPPRegistryContactStreet

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPRegistryContactStreet

extends EPPRegistryMinMaxLength

DOCUMENT ME!

Version:
  $Revision: 1.2 $
Author:
  $author$
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ELM_MAX_ENTRY` DOCUMENT ME!
`static java.lang.String` | `ELM_MIN_ENTRY` DOCUMENT ME!
`static java.lang.String` | `ELM_NAME` DOCUMENT ME!

Fields inherited from class com.verisign.epp.codec.registry.EPPRegistryMinMaxLength
`ELM_MAX, ELM_MAX_LENGTH, ELM_MIN, ELM_MIN_LENGTH, elmMax, elmMin, max, min, rootName`

Constructor Summary
`EPPRegistryContactStreet()` Creates a new EPPRegistryContactStreet object.
`EPPRegistryContactStreet(java.lang.Integer minLength, java.lang.Integer maxLength, java.lang.Integer minEntry, java.lang.Integer maxEntry)` Creates a new EPPRegistryContactStreet object.
`EPPRegistryContactStreet(int minLength, int maxLength, int minEntry, int maxEntry)` Creates a new EPPRegistryContactStreet object.

Method Summary
`java.lang.Object` | `clone()` DOCUMENT ME!
`void` | `decode(org.w3c.dom.Element aElement)` DOCUMENT ME!
`org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` DOCUMENT ME!
`boolean` | `equals(java.lang.Object aObject)` DOCUMENT ME!
`java.lang.Integer` | `getMaxEntry()`
`java.lang.Integer` | `getMinEntry()`
`void` | `setMaxEntry(java.lang.Integer maxEntry)`
`void` | `setMinEntry(java.lang.Integer minEntry)`
`java.lang.String` | `toString()` DOCUMENT ME!
`protected void` | `validateState()`

Methods inherited from class com.verisign.epp.codec.registry.EPPRegistryMinMaxLength
`getElmMax, getElmMin, getMax, getMin, getRootName, setElmMax, setElmMin, setMax, setMin, setRootName`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ELM_NAME

    public static final java.lang.String ELM_NAME

  DOCUMENT ME!

  See Also:
    Constant Field Values

### ELM_MIN_ENTRY

    public static final java.lang.String ELM_MIN_ENTRY

  DOCUMENT ME!

  See Also:
    Constant Field Values

### ELM_MAX_ENTRY

    public static final java.lang.String ELM_MAX_ENTRY

  DOCUMENT ME!

  See Also:
    Constant Field Values

Constructor Detail

### EPPRegistryContactStreet

    public EPPRegistryContactStreet()

  Creates a new EPPRegistryContactStreet object.

### EPPRegistryContactStreet

    public EPPRegistryContactStreet(java.lang.Integer minLength,
                                    java.lang.Integer maxLength,
                                    java.lang.Integer minEntry,
                                    java.lang.Integer maxEntry)

  Creates a new EPPRegistryContactStreet object.

  Parameters:
    `minLength` - DOCUMENT ME!
    `maxLength` - DOCUMENT ME!
    `minEntry` - DOCUMENT ME!
    `maxEntry` - DOCUMENT ME!

### EPPRegistryContactStreet

    public EPPRegistryContactStreet(int minLength,
                                    int maxLength,
                                    int minEntry,
                                    int maxEntry)

  Creates a new EPPRegistryContactStreet object.

  Parameters:
    `minLength` - DOCUMENT ME!
    `maxLength` - DOCUMENT ME!
    `minEntry` - DOCUMENT ME!
    `maxEntry` - DOCUMENT ME!

Method Detail

### encode

    public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                               throws EPPEncodeException

  DOCUMENT ME!

  Specified by:
    `encode` in interface `EPPCodecComponent`
  Overrides:
    `encode` in class `EPPRegistryMinMaxLength`
  Parameters:
    `aDocument` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `EPPEncodeException` - DOCUMENT ME!

### decode

    public void decode(org.w3c.dom.Element aElement)
                throws EPPDecodeException

  DOCUMENT ME!

  Specified by:
    `decode` in interface `EPPCodecComponent`
  Overrides:
    `decode` in class `EPPRegistryMinMaxLength`
  Parameters:
    `aElement` - DOCUMENT ME!
  Throws:
    `EPPDecodeException` - DOCUMENT ME!

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  DOCUMENT ME!

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `EPPRegistryMinMaxLength`
  Returns:
    DOCUMENT ME!
  Throws:
    `java.lang.CloneNotSupportedException` - DOCUMENT ME!

### equals

    public boolean equals(java.lang.Object aObject)

  DOCUMENT ME!

  Overrides:
    `equals` in class `EPPRegistryMinMaxLength`
  Parameters:
    `aObject` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### toString

    public java.lang.String toString()

  DOCUMENT ME!

  Overrides:
    `toString` in class `EPPRegistryMinMaxLength`
  Returns:
    DOCUMENT ME!

### getMinEntry

    public java.lang.Integer getMinEntry()

### setMinEntry

    public void setMinEntry(java.lang.Integer minEntry)

### getMaxEntry

    public java.lang.Integer getMaxEntry()

### setMaxEntry

    public void setMaxEntry(java.lang.Integer maxEntry)

### validateState

    protected void validateState()
                          throws EPPEncodeException

  Overrides:
    `validateState` in class `EPPRegistryMinMaxLength`
  Throws:
    `EPPEncodeException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.